/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_586073990")

  // remove field
  collection.fields.removeById("date205214228")

  // add field
  collection.fields.addAt(7, new Field({
    "hidden": false,
    "id": "bool205214228",
    "name": "is_reccuring",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "bool"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_586073990")

  // add field
  collection.fields.addAt(4, new Field({
    "hidden": false,
    "id": "date205214228",
    "max": "",
    "min": "",
    "name": "is_reccuring",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "date"
  }))

  // remove field
  collection.fields.removeById("bool205214228")

  return app.save(collection)
})
